Subject: Re: bug#49712: [Emacs 28.0.50 Master] Error: (wrong-type-argument listp string-match)

From: Jacob Faibussowitsch <[email-masked]>
Date: Fri, 23 Jul 2021 14:23:03 -0400

Yes, latest trunk works now!

Best regards,

Jacob Faibussowitsch
(Jacob Fai - booss - oh - vitch)

> On Jul 23, 2021, at 14:19, Lars Ingebrigtsen <[email-masked]> wrote:
> 
> Jacob Faibussowitsch <[email-masked]> writes:
> 
>> How to reproduce:
>> 
>> $ emacs -Q
>> 
>> OR
>> 
>> $ git checkout master
>> $ make all
>> 
>> (The warning will appear when byte-compiling emacs internals in the second
>> case)
> 
> Hm; I'm not able to reproduce this...
> 
>>  +(while name
>>  +  (setq mode
>>  +     (if case-insensitive-p
>>  +            ;; Filesystem is case-insensitive.
>>  +            (let ((case-fold-search t))
>>> +              (assoc-default alist 'string-match)))
>> 
>> Every other assoc-default() in this routine has “name” as an argument except
>> the above, i.e.
>> 
>> (assoc-default name alist ’string-match)
> 
> ... but that's clearly the right fix here, I think, so I've now pushed
> it to the trunk.  Does the trunk work for you now?
> 
> -- 
> (domestic pets only, the antidote for overdose, milk.)
>   bloggy blog: http://lars.ingebrigtsen.no